<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2021 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die;

if (!defined('FOF30_INCLUDED') && !@include_once(JPATH_LIBRARIES . '/fof30/include.php'))
{
	return;
}

// Let's load the container so our autoloader gets registered
FOF30\Container\Container::getInstance('com_ats');

/** @var   \Joomla\Registry\Registry  $params */
$type = $params->get('type', 'ticketstats');


?>
<div id="mod-atsstats-<?php echo $module->id ?>" class="mod-atsstats">
	<?php
	$container = FOF30\Container\Container::getInstance('com_ats', [
		'tempInstance' => true,
		'input' => [
			'savestate'  => 0,
			'option'     => 'com_ats',
			'view'       => 'ControlPanel',
			'layout'     => $type,
			'limit'      => 0,
			'limitstart' => 0,
			'task'       => 'browse',
			'tmpl'       => 'component',
		],
	]);

	$container->template->addJS('media://com_ats/js/Modal.min.js', true, false, $container->mediaVersion);
	$container->template->addJS('media://com_ats/js/System.min.js', true, false, $container->mediaVersion);
	$container->template->addJS('media://com_ats/js/Ajax.min.js', true, false, $container->mediaVersion);
	$container->template->addJS('media://com_ats/js/ControlPanel.min.js', true, false, $container->mediaVersion);

	$container->dispatcher->dispatch();
	?>
</div>

